#include <util/delay.h>
#include "drivers/framebuffer.h"
#include "drivers/fbticker.h"
#include "drivers/fbani_starhopper.h"
#include "drivers/fbani_recorder.h"

void fbani_binary(uint16_t max) {
  uint16_t i = 0;
  for (i = 0; i < max; i++) {
    _delay_ms(50);
    fb_shift(i);
  }
}

int main() {
  unsigned char c;
  while(1) {
    fbani_starhopper(40);
    fbani_binary(256);
    fbani_recorder(50);
    for (c = 'A'; c <= 'Z'; c++) {
      fbticker_putc(c);
    }
  };
}
